not compatible with firefox v25 Rated 2 out of 5 stars

This addon is wonderful, but not compatible with new versions of Firefox v25.

not compatible with TB v24 Rated 1 out of 5 stars

not compatible with TB v24

This review is for a previous version of the add-on (0.1.220.20130525). 

Great extension Rated 5 out of 5 stars

This is a nice extension that makes adding the update key to the install RDF and signing the update RDF very easy and saves me time from doing it manually.

This review is for a previous version of the add-on (0.1.190.20130125). 

Rated 1 out of 5 stars

Does not work with Mozilla Firefox 8, 9 10, 11 or 12

This review is for a previous version of the add-on (0.1.90.20120102). 

Rated 4 out of 5 stars

Works very well! Had pb with improperly installed update. Best to manually remove and then re-install.
Using it to manage Bull's Globull hardware tokens.
W7-x64 - FF 6.0.2 & W7 x86 - FF 7.0.1

This review is for a previous version of the add-on (0.1.70.20110928). 

Rated 4 out of 5 stars

not compatible x64
Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:2.0b13pre) Gecko/20110321 Firefox/4.0b13pre

This review is for a previous version of the add-on (0.1.40.20110221). 

potential application Rated 5 out of 5 stars

ready to tackle signing webmail emails? pgp..s/mine..cert..et al ? without the external kludge that other extensions required?

This review is for a previous version of the add-on (0.1.3.20090714). 

Powerful Rated 5 out of 5 stars

I'm amazed at how powerful this extension is. The UI's a little clunky, but the tools are anything but weak. If it involves cryptography, chances are Key Manager can do it.

This review is for a previous version of the add-on (0.1.3.20090714). 

Rated 3 out of 5 stars

Not bad, but not easier than OpenSSL. Some buttons, input fields, and checkboxes are not explained (e.g. by tool tips). At least a good key viewer.

This review is for a previous version of the add-on (0.1.3.20090714). 

Rated 5 out of 5 stars

I spent 3 and a half hours wrestling with the NSS command line tools and the assorted certificate utilities trying to get my XPI signed. All tools returned success, but Firefox showed "Author not verified" every time I tried to install the XPI.

I downloaded this addon and 30 seconds later had a signed XPI that works properly.

Highly recommended.

This review is for a previous version of the add-on (0.1.3.20090109). 

Rated 4 out of 5 stars

Well done.

This review is for a previous version of the add-on (0.1.3.20081007). 

Cannot generate cert request Rated 2 out of 5 stars

I have had the same problem as gabhroo; my 'Generate CSR' and 'Generate Self-Signed Cert' buttons do not function. I am also using Ubuntu 8.04 Hardy Heron but with Firefox 3.0.3. There is nothing in the error console, and starting in a different profile gives the same result.

This review is for a previous version of the add-on (0.1.3.20081007). 

Cannot generate cert request for Ubuntu 8.04

KeyManager add-on does not work with Firefox distributed with Ubuntu because of binary incompatibilities. If you download the Firefox 3.0.3 directly from Mozilla site, the add-on will work.

Generate CSR button is not working Rated 1 out of 5 stars

I just downloaded this extension for Ubuntu 8.04 Hardy Heron, with FF 3.0b5. 'Generate CSR' and 'Generate Self-Signed Cert' buttons do not do anything. I can keep clicking them, and nothing happens. It is supposed to bring up a popup, right?

This review is for a previous version of the add-on (0.1.3.20080402). 

Generate CSR button is not working

I have tested the code on latest (as of April 2008) Fedora, Suse and Ubuntu with FF3 and it worked. Most probably my Ubuntu is not Ubuntu 8.04 Hardy Heron. \r\n\r\nBased on what you have described, it looks like the XPCOM shared libraries are not loaded properly. \r\nCould you please look into the \"error console\" and see if there are any error message. \r\n\r\nI can suggest few work around until I install and test on Ubuntu 8.04 :\r\n - uninstall and install the add-on (if you have not already done so) \r\n - use a new profile to see if it is working - if you are upgrading from FF2 profile to FF3, it may not work with CertDB from older profile. \r\n - try to import a PKCS#12 file using browser\'s Certificate Manager dialig window. If it works then it should work. \r\n - upgrade to FF3 RC1 and see if it working \r\nIf you would e-mail me directly, I could work with you to see why it is not working for you.

Nice plugin Rated 5 out of 5 stars

It is not just a plugin, but really a fantastic application. I am using it for Security Training programmes. For common man, the cryptic usage of OpenSSL commands would not digest. So I find it very useful for teaching the PKI related topics. Heartly congratulations to Subrata Mazumdar for his great work.

This review is for a previous version of the add-on (0.1.3.20080402). 

Rated 5 out of 5 stars

Fantastic plugin. I am using it for various Security Training programmes. For normal audience, Cryptic command line options of OpenSSL would not digest. So, this tool is the right one for training as well as for small organisations. Congatulations Subrata Mazumdar for your great work.

This review is for a previous version of the add-on (0.1.3.20080402).